Installing on Raspberry pi

Feel free to talk about non programming issues here.
atrakonline
Posts: 6
Joined: Tuesday 26th October 2021 4:10am

Installing on Raspberry pi

Post by atrakonline » Saturday 30th October 2021 2:47pm

Hello there
I am new to gambas3 . How can I install it on Raspberry pi ?
Which version of gambas3 work on raspberry ?

Thanks

BruceSteers
Posts: 766
Joined: Thursday 23rd July 2020 5:20pm

Re: Installing on Raspberry pi

Post by BruceSteers » Sunday 31st October 2021 12:40am

on normal debian based raspian it should be on the servers but will be an older version to the latest.
just use the package manager to add gambas3

or for latest version you'll need to install the packages to compile it...
http://gambaswiki.org/wiki/install/raspbian
(dependencies may be out of date, see matching debian version dependencies to find updates)

on ubuntu based raspberry you can use the PPA install method to get the latest.

sudo add-apt-repository ppa:gambas-team/gambas3
sudo apt-get update
sudo apt-get install gambas3

atrakonline
Posts: 6
Joined: Tuesday 26th October 2021 4:10am

Re: Installing on Raspberry pi

Post by atrakonline » Sunday 31st October 2021 7:02am

Thanks for your reply .
I am using Raspbian Stretch . I installed it from repository . There is some errors in the IDE to use some component that come from gb.form , like : LCDLABEL , Button Options ....
Also there is an error while I am typing my code .
In both cases of occuring Error , The IDE don't RUN any more . I should quit from IDE and Run it again . When I use LCDLABEL in IDE , It cause an error that I told , and IDE don't Run anything . When I quit IDE and comeback to it , IT runs the code that include LCDLABEL !!!!.

Please help me to solve these problems or installing a proper version on my raspbian .
The version that installed on my Raspbian stretch is : Gambas 3.9


Thanks again .

BruceSteers
Posts: 766
Joined: Thursday 23rd July 2020 5:20pm

Re: Installing on Raspberry pi

Post by BruceSteers » Sunday 31st October 2021 9:55am

Can you not upgrade the raspbian OS? stretch is pretty old,

debian buster will install gambas 3.12
debian bullseye (the latest) installs gambas 3.15

newer raspberry systems can be found here...
http://raspbian.mirror.uk.sargasso.net/raspbian/dists/

ready to go Raspbian buster can be found here...
https://www.raspberrypi.com/software/operating-systems/

BruceSteers
Posts: 766
Joined: Thursday 23rd July 2020 5:20pm

Re: Installing on Raspberry pi

Post by BruceSteers » Sunday 31st October 2021 10:24am

The easiest way to get latest gambas on raspberry is to install the ubuntu rabpberry os...
https://ubuntu.com/download/raspberry-pi

once an ubuntu raspberry is running you can use the PPA method i mentioned above to install latest stable version of the IDE :)

atrakonline
Posts: 6
Joined: Tuesday 26th October 2021 4:10am

Re: Installing on Raspberry pi

Post by atrakonline » Sunday 31st October 2021 11:48am

Thank you sir
I have a Raspberry pi 2 Model B and a RaspBerry Pi 3 Model B .
Which of these OS that you mentioned is supported by RPi 2 Model B or RPi 3 Model B .

I also upgrade the Stretch in last weak .
I didn't change my OS because I didn't need more features , But apparently I should change it now ...

Thanks for your solution . I will change my OS to a newer one and then write the report of my work here .

User avatar
cogier
Site Admin
Posts: 875
Joined: Wednesday 21st September 2016 2:22pm
Location: Guernsey, Channel Islands

Re: Installing on Raspberry pi

Post by cogier » Sunday 31st October 2021 1:56pm

I think you should try Gambas with Raspbian OS. I have had no issues with that setup.

atrakonline
Posts: 6
Joined: Tuesday 26th October 2021 4:10am

Re: Installing on Raspberry pi

Post by atrakonline » Sunday 31st October 2021 2:26pm

cogier wrote:
Sunday 31st October 2021 1:56pm
I think you should try Gambas with Raspbian OS. I have had no issues with that setup.
Hello
Can you tell me What version of raspbian you have ? buster , wheezy , or another version ?

thanks a lot

User avatar
cogier
Site Admin
Posts: 875
Joined: Wednesday 21st September 2016 2:22pm
Location: Guernsey, Channel Islands

Re: Installing on Raspberry pi

Post by cogier » Sunday 31st October 2021 3:35pm

Try the recommended OS here

Image

atrakonline
Posts: 6
Joined: Tuesday 26th October 2021 4:10am

Re: Installing on Raspberry pi

Post by atrakonline » Sunday 31st October 2021 6:48pm

Hi everyone
I installed debian buster on SD card and boot my raspberry with it . At the last screen it ask me for Login name !!!
What is the default login name / password in the debian Buster ???
It shows this prompt :

rpi2-20210710 login :


Thanks

Post Reply